Scrum - Defect #1569

Internal Server Error on scrum_tips
2020-02-14 07:07 - Quan Nguyen

Status: Rejected
Priority: Normal
Category: General

Target version:

Source: Development Blocked: No
Detected on version: Scrum v0.20.0 Alone: Yes
Description

Hi,

| cannot start redmine with your plugin.

Redmine info:
Environment:
Redmine version 4.0.0.stable
Ruby version 2.5.3-p105 (2018-10-18) [x86_64-1linux]
Rails version 5.2.2
Environment production
Database adapter Mysql2
Mailer queue ActiveJob: :QueueAdapters: :AsyncAdapter
Mailer delivery smtp
SCM:
Git 1.8.3.1
Log as below:

Completed 500 Internal Server Error in 39ms (ActiveRecord: 12.1ms)

ActionView: :Template: :Error (uninitialized constant Scrum::Setting
Did you mean? Setting
String) :
<%- tips = scrum_tips —-%>
<%—- unless tips.empty? —-%>
<h3><%= 1 (:label_tip_title) %> <%= image_tag("help.png") %></h3>
<ul>

Sw N

plugins/scrum/lib/scrum/application_helper_patch.rb:99:in 'scrum_tips'
plugins/scrum/app/views/scrum_hooks/_scrum_tips.html.erb:1:in '_plugins_scrum_app_views_scrum_hook
S__scrum_tips_html_erb 2516469347768283280_73904820"

lib/redmine/hook/view_listener.rb:59:in “block (2 levels) in render_on'
lib/redmine/hook/view_listener.rb:57:in “map'

lib/redmine/hook/view_listener.rb:57:in “block in render_on'

lib/redmine/hook.rb:61:in “block (2 levels) in call_hook'

lib/redmine/hook.rb:61l:in “each'

lib/redmine/hook.rb:61:in “block in call_hook'

lib/redmine/hook.rb:58:1in “tap'

lib/redmine/hook.rb:58:in “call_hook'

lib/redmine/hook.rb:96:in “call_hook'

app/helpers/application_helper.rb:1459:in “view_layouts_base_sidebar_hook_response'
app/helpers/application_helper.rb:1455:in "sidebar_content?'

app/views/layouts/base.html.erb:99:in ' _app_views_layouts_base_html_erb_ 3685052083580796633_6109
7320

lib/redmine/sudo_mode.rb:63:in " sudo_mode'

History

#1 - 2020-02-14 07:56 - Emilio Gonzalez Montaina

2024-04-09 1/3




Hi, when you say:

| cannot start redmine with your plugin.

Do you really mean running rails server? | mean start redmine, because the log seems to be a page rendering not redmine start log.
If I'm right, did you restart your redmine instance (+ plugins db migration) after updating the scrum plugin? | guess yes, but it's to be 100% sure.
#2 - 2020-02-14 08:09 - Quan Nguyen
Emilio Gonzélez Montafa escribi6:
Hi, when you say:

| cannot start redmine with your plugin.

Do you really mean running rails server? | mean start redmine, because the log seems to be a page rendering not redmine start log.

If I'm right, did you restart your redmine instance (+ plugins db migration) after updating the scrum plugin? | guess yes, but it's to be 100% sure.

I install your plugin (first time | use this one), after that | restart redmine. But when | open my page, | got error 500 Internal Server Error. | get error log
of production which | mention in this issue.

#3 - 2020-02-14 13:12 - Emilio Gonzalez Montaia
And did you run plugins db migrate?

#4 - 2020-02-14 13:14 - Emilio Gonzalez Montana

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#lInstallation

#5 - 2020-02-17 04:02 - Quan Nguyen

Emilio Gonzalez Montaria wrote:

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation

| already install plugin db migrate
Emilio Gonzalez Montafia wrote:

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation

| already step by step installing as below:

e Put your plugin in <redmined>/plugins folders (remove version of plugin, Name is only "scrum")
¢ Run command for migrating (RAILS_ENV=production bundle exec rake redmine:plugins:migrate)
* Restart redmine

#6 - 2020-04-04 08:05 - Emilio Gonzalez Montafa
- Alone changed from No to Yes

- Sprint set to Sprint 38

- Description updated

- Subject changed from Internal Server Error to Internal Server Error on scrum_tips

#7 - 2020-04-04 08:25 - Emilio Gonzalez Montaha
- Target version deleted (Scrum v0.20.0)
- Status changed from New to Rejected
Quan Nguyen wrote:
Emilio Gonzéalez Montafia wrote:

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation
| already install plugin db migrate
Emilio Gonzalez Montafia wrote:

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation

| already step by step installing as below:

e Put your plugin in <redmined>/plugins folders (remove version of plugin, Name is only "scrum")
¢ Run command for migrating (RAILS_ENV=production bundle exec rake redmine:plugins:migrate)
* Restart redmine

No way to reproduce it, | rejected unless | get more info to reproduce it. Quan, is still happening? Did you tried with Redmine 4.1 series?
I've tested again on 4.1 but no error message... all the steps you have commented are OK, but the error is similar to other errors when the plugin

folder is not scrum... maybe it's an issue of Redmine 4.0.0 with the scrum plugin, please consider to test it with 4.1 and latest master scrum plugin
(only available for Patreon supporters https://www.patreon.com/ociotec).

#8 - 2022-03-17 14:32 - Rafael Vargas

| had the same problem, using the exact same Redmine(4.0.0-stable), Ruby(2.5.3-p105) and Rails (5.2.2) versions and Scrum plugin (v0.20.0)
version.

| did the installation process (untar to plugins/scrum directory, rake redmine:plugins:migrate) and all that went OK.
And had the exact same error occurring to me:
Completed 500 Internal Server Error in 39ms (ActiveRecord: 12.1ms)

ActionView: :Template::Error (uninitialized constant Scrum::Setting
Did you mean? Setting

String) :
1: <%- tips = scrum_tips —-%>
2: <%- unless tips.empty? —-%>
38 <h3><%= 1l(:label_tip_title) %> <%= image_tag("help.png") %$></h3>
4: <ul>

plugins/scrum/lib/scrum/application_helper_patch.rb:99:in " scrum_tips'

| managed to solve it by copying the entire Scrum::Setting class definition and pasting it inside the Scrum module in the
lib/scrum/application_helper_patch.rb file.

Could not manage to get a require or require_dependency call to solve this.
It seems to be working for now.

| know this issue is marked as rejected, but if someone else is still having the same issue (which seems to be some incompatibility with Redmine
4.0.x), this seems to be a solution to it.
